Subject: Re: bug#30320: 26.0.91; Crash when using lsp-ui-doc-mode

From: Jake Goulding <[email-masked]>
Date: Sat, 3 Feb 2018 14:43:50 -0500

I apologize, but as I mentioned:

> I don't know exactly what the "frame" is in this context.

While I've been /using/ Emacs for ~15 years, that doesn't mean I've
actually become proficient in the myriad of terminology surrounding it
or the subtle differences between Emacs terms and the broader world
(and let's not get started on my near-total lack of Emacs Lisp
ability).

Checking the manual to figure out what a frame is [1], I don't even
believe I've ever attempted to create a frame. I did not provide any
commands to do so this time, either. Perhaps one of the modes in
question has created one?

My earlier email included a screenshot in an attempt to show what
I see. It appears to have been added to the bug report:

https://debbugs.gnu.org/cgi/bugreport.cgi?msg=23;att=2;filename=Screen+Shot+2018-02-02+at+11.19.02+AM.png;bug=30320

I see nothing that appears to be 3 rows tall. I did not change
anything to be `text-mode`. In case I've misunderstood what a "frame"
is, I also looked at the result of `ibuffer`, I don't see anything in
text-mode.

     main.rs                   51 Rust             /private/tmp/spa/src/main.rs
 *   *scratch*                476 Lisp Interaction
 *%  *Messages*               270 Messages
 *%  *Completions*            976 Completion List
     *lsp-rust stderr*          0 Fundamental      (lsp-rust stderr open)

[1]: https://www.gnu.org/software/emacs/manual/html_node/emacs/Frames.html